; SketchyLISP Library
; Copyright (C) 2005,2006,2007 Nils M Holm. All rights reserved.
; See the file LICENSE of the SketchyLISP distribution
; for conditions of use.

; ---name---
; boolean?

; ---conformance---
; R5RS

; ---purpose---
; Check whether a datum is a truth value.

; ---args---
; X - datum

; ---keywords---
; BOOLEAN? function, boolean, truth value, true, false
; predicate

; ---see-also---
; list?, null?

; ---example---
; (boolean? #f) => #t

(define booleanp #t)

; ---code---
(define (boolean? x)
  (or (eq? x #t)
      (eq? x #f)))
