; SketchyLISP Library
; Copyright (C) 2005,2006,2007 Nils M Holm. All rights reserved.
; See the file LICENSE of the SketchyLISP distribution
; for conditions of use.

; ---name---
; if

; ---conformance---
; R5RS

; ---purpose---
; Conditional evaluation.

; ---args---
; P - predicate
; C - consequent
; A - alternative

; ---keywords---
; IF syntax, conditional evaluation.

; ---see-also---
; case

; ---example---
; (if #t 'true 'false) => true

; ---model---
; (define-syntax if
;   (syntax-rules ()
;     ((_ p c a)
;        (cond (p c) (else a)))))

; ---code---
; This syntax transformer is part of the primitive syntax.
