; SketchyLISP Library
; Copyright (C) 2005,2006,2007 Nils M Holm. All rights reserved.
; See the file LICENSE of the SketchyLISP distribution
; for conditions of use.

; ---name---
; list

; ---conformance---
; R5RS

; ---purpose---
; Create a list from arguments.

; ---args---
; X... - data

; ---keywords---
; LIST function, atom, non-atom, list, pair

; ---see-also---
; caar, string, vector

; ---example---
; (list 'a 'b 'c) => (a b c)

(define list #t)

; ---code---
(define (list . x) x)
