; SketchyLISP Library
; Copyright (C) 2005,2006,2007 Nils M Holm. All rights reserved.
; See the file LICENSE of the SketchyLISP distribution
; for conditions of use.

; ---name---
; non-negative?

; ---conformance---
; SketchyLISP Core

; ---purpose---
; Check whether a number is positive or zero.

; ---args---
; X - number

; ---keywords---
; NON-NEGATIVE? function, positive value, zero, sign, predicate, numbers

; ---see-also---
; digits, negative?, zero?, abs

; ---example---
; (non-negative? 0) => #t

(define non-negativep #t)

(require "digits.scm")
(require "negativep.scm") ; negative?

; ---code---
(define (non-negative? x)
  (eq? (negative? x) #f))
