; SketchyLISP Library
; Copyright (C) 2005,2006,2007 Nils M Holm. All rights reserved.
; See the file LICENSE of the SketchyLISP distribution
; for conditions of use.

; ---name---
; string-append

; ---conformance---
; R5RS

; ---purpose---
; Append strings.

; ---args---
; A - string
; B... - strings to be appended

; ---keywords---
; STRING-APPEND function, strings, appending

; ---see-also---
; string, string-length, string-ref, append

; ---example---
; (string-append "He" "llo " "World") => "Hello World"

(define s-append #t)

; (require "append.scm")
; (require "fold-left.scm")

; ---model---
; (define (string-append . a)
;   (letrec
;     ((append-str
;        (lambda (a b)
;          (list->string (append (string->list a)
;                                (string->list b))))))
;     (fold-left append-str "" a)))

; ---code---
; This function is a primitive function.
